- title: "PostgreSQL 12 compatibility"
  announcement_milestone: "15.0"
  removal_milestone: "16.0"
  breaking_change: true
  reporter: twk3
  stage: Enablement
  issue_url: https://gitlab.com/gitlab-org/omnibus-gitlab/-/issues/7395
  body: |
    In GitLab 16.0, PostgreSQL 13 is the minimum supported PostgreSQL version. PostgreSQL 12 is no longer shipped with the GitLab Omnibus package.
    Before upgrading to GitLab 16.0, if you are:

    - Still using GitLab-packaged PostgreSQL 12, you must [perform a database upgrade](https://docs.gitlab.com/omnibus/settings/database.html#upgrade-packaged-postgresql-server)
      to PostgreSQL 13.
    - Using an externally-provided PostgreSQL 12, you must upgrade to PostgreSQL 13 or later to meet the
      [minimum version requirements](https://docs.gitlab.com/ee/install/requirements.html#postgresql-requirements).
  tiers: # (optional - may be required in the future) An array of tiers that the feature is available in currently.  e.g., [Free, Silver, Gold, Core, Premium, Ultimate]
  documentation_url: https://docs.gitlab.com/ee/administration/package_information/postgresql_versions.html
